Subject: Re: bug#78149: 31.0.50; find-file not working (cl-remove-if)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Apr 2025 15:10:22 +0300

> Date: Wed, 30 Apr 2025 08:11:14 -0300
> Cc: [email-masked]
> From: German Pacenza <[email-masked]>
> 
> 
> > I cannot reproduce this with today's master branch.  cl-remove-if is
> > an autoloaded function, so I suspect that your loaddefs.el is outdated
> > or something.  Try regenerating loaddefs.el and then redumping:
> > 
> >   $ make -C lisp autoloads-force
> >   $ make
> 
> Same result, I also did a 'git clean -fdx' 'make reset --hard HEAD' 
> 'make extraclean' and 'make bootstrap'
> 
> 
> emacs -Q:
> C-x C-f "shows error"
> run 'bookmark-jump" C-g
> C-x C-f "Works as expected"
> 
> I added (autoload 'cl-remove-if "cl-seq" nil t) to my init file and that 
> fixes the issue

Ah, I see.

Spencer, please replace cl-remove-if with seq-remove or something else
that is available when minibuffer.el is preloaded by loadup.  Calling
cl-seq functions in preloaded files is a no-no, because the
corresponding autoloads are not in loaddefs.el, they are in
cl-loaddefs.el instead, and that file is not loaded until cl-lib is.